package cn.iocoder.yudao.module.order.dal.dataobject.orderWarehouseIn.handler;

import cn.iocoder.yudao.framework.common.util.json.JsonUtils;
import cn.iocoder.yudao.module.order.vo.order.OrderWarehouseInDetailsVO;
import com.baomidou.mybatisplus.extension.handlers.AbstractJsonTypeHandler;

import java.util.List;


public class OrderWarehouseInDetailsTypeHandler extends AbstractJsonTypeHandler<List<OrderWarehouseInDetailsVO>> {

    @Override
    protected List<OrderWarehouseInDetailsVO> parse(String json) {
        return JsonUtils.parseArray(json, OrderWarehouseInDetailsVO.class);
    }

    @Override
    protected String toJson(List<OrderWarehouseInDetailsVO> obj) {
        return JsonUtils.toJsonString(obj);
    }
}